package org.jvending.provisioning.stocking.filter;

import org.jvending.provisioning.stocking.par.ClientBundle;
import org.jvending.provisioning.stocking.par.DescriptorFile;
import org.jvending.provisioning.stocking.StockingException;

import java.util.Map;

/**
 * Filters out JNLP files.
 */
public class JnlpFilter extends BundleFilter {

    public void validateBundle(ClientBundle clientBundle, Map content) throws StockingException {
        DescriptorFile descriptorFile = (DescriptorFile) clientBundle.getDescriptorFile();
        if (descriptorFile != null) {
            String mimeType = descriptorFile.getMimeType();
            if (mimeType != null && mimeType.equals("application/x-java-jnlp-file")) {
                throw new StockingException("Excluding JNLP files from the PAR");
            }
        }
    }
}
